@import url(./variables.css);
@import url('https://fonts.googleapis.com/css2?family=LXGW+WenKai+TC&family=Playwrite+FR+Moderne:wght@100..400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=LXGW+WenKai+TC&family=Playwrite+FR+Moderne:wght@100..400&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* ESTILOS GLOBAIS */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    font-family: "Roboto", sans-serif;
    background: var(--light-gray);
    display: flex;
    height: 100vh;
    width: 100vw;
    background-color: var(--bg-color);
    overflow: hidden;
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.3) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.3) 50%, rgba(255, 255, 255, 0.3) 75%, transparent 75%, transparent);
    background-size: 50px 50px;
    font-size: var(--font-size-base);
}

a {
    text-decoration: none;
    color: var(--black);
}

/* MEDIA QUERIES */

@media (min-width: 769px) {

    .side-menu {
        width: 20%;
    }

    .user-img {
        height: 10rem;
        width: 10rem;
    }

    .main-section {
        width: 80%;
    }

    .table-container {
        padding: 2rem;
    }

    .day, .night {
        padding: 2rem 3rem;
    }
}


@media (max-width: 768px) {

    html, body {
        display: block;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .side-menu {
        width: 100vw;
        box-shadow: var(--box-shadow);
        text-align: center;
        height: 100vh;
    }

    .main-section {
        width: 100vw;
        margin-top: 4rem;
    }

    .side-menu p {
        padding: 0.8rem;
    }

    .side-menu h2 {
        font-size: var(--font-size-h2);
    }

    #bio {
        font-size: var(--font-size-base);
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 90%;
    }

    .table-container {
        display: flex;
        flex-direction: column;
        gap: 2rem;
    }

    .menu-links {
        padding: 2rem 0;
    }

    ::-webkit-scrollbar,
    ::-webkit-scrollbar-thumb {
        display: none;
    }

    h1 {
        padding: 1rem;
    }
}

/* MENU LATERAL */

.side-menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem;
    justify-content: space-around;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    box-shadow: var(--box-shadow);
    background-color: var(--super-light-gray);
}

.side-menu h2 {
    padding: 1rem 0;
    font-size: var(--font-size-h2);
    text-shadow: var(--text-shadow);
}

.side-menu p {
    text-align: center;
    border-radius: 15px;
    padding: 1rem;
    margin: 2rem 0;
    display: none;
}

.user-img {
    height: 5rem;
    width: 5rem;
    margin: 1rem 0;
}

#bio {
    background-color: var(--white);
    border-radius: 15px;
    padding: 1rem;
    margin: 2rem 0;
    color: var(--dark-gray);
    box-shadow: var(--box-shadow);
    transition: var(--transition);
}

#bio:hover {
    transform: scale(1.02);
    box-shadow: var(--box-shadow);
}

.menu-links {
    width: 100%;
    text-align: center;
}

.menu-links ul {
    list-style: none;
    cursor: pointer;
}

.menu-links li {
    margin-bottom: 1rem;
}

.menu-links a {
    color: var(--dark-purple);
}

.menu-links a:hover {
    color: var(--blue);
    text-decoration: underline;
}

#inputed-username {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    font-family: "LXGW WenKai TC", cursive;
}

.input-container {
    border-radius: 8px;
    background-color: var(--white);
    padding: 0.5rem;
    height: 4.2rem;
    font-size: var(--font-size-base);
    box-shadow: var(--box-shadow);
    outline: none;
    display: flex;
    margin: 0 1rem;
}

.input-element {
    border-radius: 8px 0 0 8px;
    background-color: white;
    padding: 1rem;
    width: 100%;
    border: none;
    outline: none;
    font-size: var(--font-size-base);
}

.add-button {
    border: none;
    padding: 12px;
    background-color: white;
    border-radius: 0 8px 8px 0;
    align-items: center;
    display: flex;
}

/* SEÇÃO PRINCIPAL */

.main-section {
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;

}

.main-section h1 {
    font-size: var(--font-size-h1);
    text-align: center;
    color: var(--dark-gray);
    padding-top: 2rem;
    font-family: "LXGW WenKai TC", cursive;
    background-color: var(--light-gray);
    text-shadow: var(--text-shadow);
}

.table-container {
    display: flex;
    background-color: var(--light-gray);
    gap: 2rem;
    overflow: hidden;
    padding: 2rem;
}

.day, .night {
    width: 100%;
    overflow: hidden;
    padding: 1rem;
    border-radius: 15px;
    box-shadow: var(--box-shadow);
    transition: var(--transition);
}

.day:hover, .night:hover {
    transform: scale(1.02);
    box-shadow: var(--box-shadow);
}

.day {
    background-color: var(--yellow);
}

.night {
    background-color: var(--blue);
}

.day h2, .night h2 {
    text-align: center;
    padding: 1rem;
    font-size: var(--font-size-h2);
    font-family: "LXGW WenKai TC", cursive;
    color: var(--dark-gray);
    text-shadow: var(--text-shadow);
}

.day ol, .night ol {
    border-radius: 15px;
    cursor: pointer;
    overflow-y: scroll;
    overflow-x: hidden;
    height: 60vh;
    padding: 1rem;
    margin: 0 1rem;
}

.day ol li, .night ol li {
    border-radius: 15px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    list-style: none;
    box-shadow: var(--box-shadow);
    margin: 1rem 0;
    background-color: var(--white);
    transition: var(--transition);
}

.day ol li span,
.night ol li span {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 100%;
}

.day ol li:hover,
.night ol li:hover {
    transform: scale(1.02);
    box-shadow: var(--box-shadow);
}


.fa-trash-alt {
    margin-left: 1rem;
    justify-content: end;
}

.fa-plus-circle {
    font-size: 2rem;
    color: var(--grafite-gray);
    cursor: pointer;
    padding: 0.2rem;
}

.fa-plus-circle:hover {
    color: var(--green);
}

.fa-trash-alt {
    color: var(--blue);
}

.fa-trash-alt:hover {
    color: var(--red);
}

/* SCROLLBAR */

::-webkit-scrollbar {
    width: 10px;
    height: 12px;
}

::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 15px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: rgba(0, 0, 0, 0.3);
}